Error While Opening Library or Checking for Updates

If you receive the error "An error occurred in the secure channel support" it means your computer needs TLSv1.2 enabled.

First thing is first, manually update your engrams. Download the engrams, then use "Import…" from the "File" menu to import the file into Beacon.

Now on to actually solving the problem. Users on Windows 7 and Windows 8.0 (but not Windows 8.1 and newer) often have this issue because these versions do not have support for TLS 1.1 and 1.2 enabled, which Beacon requires. Normally, the Beacon installer will attempt to enable this support automatically, but this doesn't always work.

See https://support.microsoft.com/en-gb/help/3140245/update-to-enable-tls-1.1-and-tls-1.2-as-a-default-secure-protocols-in-winhttp-in-windows for more details and a solution.

    No Results

    Message

    Explanation